﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OptimizedPainting
{
    public partial class InvalidateRect : BaseDraw
    {
        public InvalidateRect()
        {
            InitializeComponent();
        }

        private void InvalidateRect_MouseDown(object sender, MouseEventArgs e)
        {
            base.base_MouseDown(sender, e);
        }

        private void InvalidateRect_MouseMove(object sender, MouseEventArgs e)
        {
            if (isMoving)
            {
                Invalidate(rectMove);
                base.base_MouseMove(sender, e);
                Invalidate(rectMove);
            }
        }

        private void InvalidateRect_MouseUp(object sender, MouseEventArgs e)
        {
            base.base_MouseUp(sender, e);
        }

        private void InvalidateRect_Paint(object sender, PaintEventArgs e)
        {
            base.DoPaint(e.Graphics);
        }
    }
}
