﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OptimizedPainting
{
    public partial class NoAllPaint : Form
    {
        public NoAllPaint()
        {
            InitializeComponent();
            this.SetStyle(ControlStyles.AllPaintingInWmPaint, false);
        }

        protected override void OnPaintBackground(PaintEventArgs e)
        {
            //base.OnPaintBackground(e);
        }

        const int WM_ERASEBKGND = 0x14;
        protected override void WndProc(ref Message m)
        {
            if (m.Msg == WM_ERASEBKGND) {
                Console.WriteLine("WndProc:" + m.ToString());
            }
            base.WndProc(ref m);
        }

        protected override void DefWndProc(ref Message m)
        {
            if (m.Msg == WM_ERASEBKGND)
            {
                Console.WriteLine("DefWndProc:" + m.ToString());
            }
            base.DefWndProc(ref m);
        }

        private void NoAllPaint_Paint(object sender, PaintEventArgs e)
        {

        }

        
    }
}
