﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OptimizedPainting
{
    public partial class BaseDraw : UserControl
    {
        public BaseDraw()
        {
            InitializeComponent();
            this.BackColor = Color.Green;
        }


        Rectangle rectDraw = new Rectangle(0, 0, 100, 100);
        protected void DoPaint(Graphics g)
        {
            for (int i = 0; i < 3; i++)
            {
                g.TranslateTransform(200 * i, 0);
                g.FillRectangle(Brushes.AliceBlue, rectDraw);
                g.TranslateTransform(100, 100);
                g.FillRectangle(Brushes.AliceBlue, rectDraw);
                g.TranslateTransform(-100, 100);
                g.FillRectangle(Brushes.AliceBlue, rectDraw);
                g.ResetTransform();
            }
            g.FillRectangle(Brushes.Red, rectMove);
        }



        protected Rectangle rectMove = new Rectangle(25, 25, 50, 50);
        protected bool isMoving = false;
        Size mouseDown;
        protected void base_MouseDown(object sender, MouseEventArgs e)
        {
            if (rectMove.Contains(e.Location))
            {
                isMoving = true;
                mouseDown = new Size(e.X, e.Y);
            }
        }

        protected void base_MouseMove(object sender, MouseEventArgs e)
        {
            if (isMoving)
            {
                Point current = rectMove.Location;
                current.Offset(e.Location - mouseDown);
                rectMove.Location = current;
                mouseDown = new Size(e.X, e.Y);
            }
        }

        protected void base_MouseUp(object sender, MouseEventArgs e)
        {
            isMoving = false;
        }
    }
}
